using GGJ.Models;
using UnityEngine;

namespace GGJ.Objects
{
    public class LightSource : MonoBehaviour
    {
        public float angle = 0;
        public Color color = Color.white;
        public LightColorType colorType = LightColorType.All;
        public LightMoveType moveType = LightMoveType.Photon;

        void OnMouseUp()
        {
            if (GameManager.instance.logic.IsPlaying)
            {
                GameManager.instance.logic.StopPlaying();
            }
            else
            {
                GameManager.instance.logic.StartPlaying();
            }
        }
    }
}